// developed by alzago.com

//funcion para que inicia los valores de la app
function iniciarApp(){
  setParametros();
  globales();
  appListaParaUsar();
}

//variables globales
function globales() {
  $.adjuntos = [];
  $.posicion = { latitud: 0
                ,longitud: 0
                ,precision: 0
                ,intentosGPS: 0
                };
}

//funcion que redimensiona el grid oportunamente
function redimensionaGrid(rowsNumber){

  var h = $(window).height(), hr = h/rowsNumber;

  $(".ui-block-a").css("height", hr+"px");
  $(".ui-block-b").css("height", hr+"px");
  $(".ui-block-c").css("height", hr+"px");
  $(".ui-block-d").css("height", hr+"px");
  $(".ui-block-e").css("height", hr+"px");
  $(".ui-block-f").css("height", hr+"px");
  $(".ui-block-g").css("height", hr+"px");
}

//funcion que hace hace foto o video
function hacerMedia(media, source) {
  try {
    //mostramos el spinner
    $.mobile.loading( 'show');
    var myMediaType = '', mySourceType = '';

    if (source == 'hacer') {
      if (media == 'foto') {
        navigator.device.capture.captureImage(onSuccessCaptureFoto, onError, {limit:1});
      }
      else {
        navigator.device.capture.captureVideo(onSuccessCaptureVideo, onError, {limit:1, duration:30});
      }
    }
    else {
      mySourceType = Camera.PictureSourceType.SAVEDPHOTOALBUM;
      if (media == 'foto') {
         myMediaType = Camera.MediaType.PICTURE;
         navigator.camera.getPicture(onSuccessCameraFoto, onError, { quality: 50,  sourceType : mySourceType, mediaType: myMediaType});
      }
      else{
        myMediaType = Camera.MediaType.VIDEO;
        navigator.camera.getPicture(onSuccessCameraVideo, onError, { quality: 50,  sourceType : mySourceType, mediaType: myMediaType});
      }
    }
  }
  catch (e) {
      errorHandler('alerta.js', 'hacerMedia', e);
  }

  function onSuccessCaptureFoto(mediaFiles){
    fotoOn();
    onSuccessCapture(mediaFiles);
  }
  function onSuccessCaptureVideo(mediaFiles){
    videoOn();
    onSuccessCapture(mediaFiles);
  }

  function onSuccessCapture(mediaFiles){


    $.mobile.loading( 'hide');
    var i, len;
    for (i = 0, len = mediaFiles.length; i < len; i += 1) {
        $.adjuntos[$.adjuntos.length] = nombreFichero(mediaFiles[i].fullPath);
    }
  }

  function onSuccessCameraFoto(imageData){
    fotoOn();
    onSuccessCamera(imageData);
  }
  function onSuccessCameraVideo(imageData){
    videoOn();
    onSuccessCamera(imageData);
  }
  function onSuccessCamera(imageData) {
//$.adjuntos[$.adjuntos.length] = imageData;
      //llamamos a esta funcion para que nos devuelva el path del fichero
      window.resolveLocalFileSystemURI(imageData, addFichero, onError);

      //dejamos de mostrar el spinner
      $.mobile.loading( 'hide');
  }

  function onError(message) {
      //dejamos de mostrar el spinner
      $.mobile.loading( 'hide');
      console.log('Failed because: ' + message);
  }
}

//enviamos el correo
function enviarCorreo(){
    if ($.adjuntos.length == 0 && $('#textarea').val() == '') {
      alerta('Rellene los datos de la denuncia', 'Atención', 'Aceptar');
      return;
    }
    var textoGPS = "\n\n Posición GPS: ";
    if ($.posicion.latitud != 0 || $.posicion.longitud != 0) {
      textoGPS += 'lat='+$.posicion.latitud+' lon='+$.posicion.longitud+' precision='+$.posicion.precision;
    }
    else {
      textoGPS += 'no proporcionada';
    }
    window.plugins.emailComposer.showEmailComposerWithCallback(callbackEmail
      ,sessionStorage['correoSubject'] //subject
      ,$('#textarea').val() +textoGPS //body
      ,[sessionStorage['correoTo']] //toRecipients
      ,[] //ccRecipients
      ,[] //bccRecipients
      ,false //isHtml
      ,$.adjuntos //attachments
      ,[] //attachmentsData
      );

    function callbackEmail(vuelta){
      //EN ANDROID NO LLAMA AL CALLBACK....
//alert('vuelta email');
      /*navigator.notification.confirm(
          'Se ha enviado el correo electrónico. ¿Qué desea hacer ahora?',     // mensaje (message)
          onConfirm,      // función 'callback' a llamar con el índice del botón pulsado (confirmCallback)
          'Atención',            // titulo (title)
          //'Ir a Información,Ir a Denuncias, Salir de la Aplicación'       // botones (buttonLabels)
          'Info','Denuncias','Salir'
          );
      function onConfirm(button){
alert('boton: '+button);
        if (button == 1){
          //Ir a informacion
alert('nos vamos a informacion');
          $.mobile.changePage('./index.html');
        }
        else if (button == 2){
          //Ir a denuncias
alert('nos vamos a denuncias');
        }
        else{
          //Salir de la app
alert('Salir de la app');
          if(navigator.app){
            navigator.app.exitApp();
          }else if(navigator.device){
            navigator.device.exitApp();
          }
        }
      }*/
    }
}

//obtiene el nombre del fichero segun el SO
function nombreFichero(fichero) {
  var fich = fichero;

  //para Android
  if (plataforma() == 'android') {
    var fich = fich.replace('file:///storage/','/storage/');
    fich = fich.replace('file:///localhost/','');
    fich = fich.replace('file:/','/');
  }
  //para ios
  else{

  }
  return (fich);
}

//
function addFichero(fichero){
  $.adjuntos[$.adjuntos.length] = nombreFichero(fichero.nativeURL);
}

//indica si se ha rellando las cosas
function videoOn(){
  $("#video .ui-btn-text").addClass('elegido');
  $("#video i").addClass('elegido');

  //para android
  $("#video .ui-btn-text").css('color','#475c09');

  alerta('Video cargado', 'Información', 'Aceptar');
}
function fotoOn(){
  $("#foto .ui-btn-text").addClass('elegido');
  $("#foto i").addClass('elegido');

  //para android
  $("#foto .ui-btn-text").css('color','#475c09');
  alerta('Foto cargada', 'Información', 'Aceptar');
}
function ubicacionOn(){
  //si es la primera vez que se haya la posicion (por el tema de la precision puede q se calcule varias veces)
  if ($("#ubicacion .ui-btn-text").css('color') != "rgb(125, 160, 18)") {
    alerta('Ubicación cargada', 'Información', 'Aceptar');
  }

  $("#ubicacion .ui-btn-text").addClass('elegido');
  $("#ubicacion i").addClass('elegido');

  //para android
  $("#ubicacion .ui-btn-text").css('color','#475c09');
}