//inicializa la app para aplicaciones nativas

//si es web, no hacemos nada
//si es nativa, hay que añadir document.addEventListener("deviceready", onDeviceReady, false);, para que se cargue correctamente la libreria
function appListaParaUsar() {
    //console.log("libreriaListaParaUsar");
    if (esNativa()) {
        //console.log("es nativa");
        document.addEventListener("deviceready", onDeviceReady, false);    }
    else {
        //console.log("No es nativa");
        onDeviceReady();
    }
}

//vemos si la aplicacion es nativa o web
//si es nativa, es muy importante que se cargue la libreria cuando está listo document.addEventListener("deviceready", onDeviceReady, false);
function esNativa() {
   var ua = window.navigator.userAgent.toLowerCase();
   //console.log("userAgent: "+ua);
   if (ua.indexOf('android') != -1 || ua.indexOf('ipad') != -1 || ua.indexOf('iphone') != -1 || ua.indexOf('blackberry') != -1)
   {
       var url = document.location.href;
       //console.log("userAgent: "+ua+"; url: "+url);
       if(url.indexOf("file://") === 0)
       {
           return true;
       }
   }
//   $.variables.nativa =false;
   return false;
}

//cuando el dispositivo esta listo, la libreria se puede usar y calculamos la posicion GPS
function onDeviceReady() {
   if (esNativa()) {
      //inicializamos el plugin del Email Composer
      if (!window.plugins) {
		     window.plugins = {};
		  }
		  window.plugins.emailComposer = new EmailComposer();
   }
   setTransiciones();
}

//cuando el dispositivo viene de reposo, volvemos a calcular su posicion gps
function onResume() {

}

function onLine(){
}
function offLine(){
}

//devuelve es android o ios o unknown
function plataforma(){
  var aux = device.platform.toLowerCase();
  switch(aux){
    case 'android':
      return 'android';
    break;
    case 'ios':
      return 'ios';
    break;
  }
  return 'unknown'
}


//mostramos un mensaje por pantalla
function alerta(message, title, buttonName){
  if (esNativa()) {
    navigator.notification.alert(message, null, title, buttonName);
  }
  else {
    alert(message);
  }
}

//obtenemos la version de Android
function getVersionAndroid(){
  if (esNativa() && plataforma() == 'android') {
    return(device.version);
  }
  return 'none';
}

function setTransiciones(){
    //para que no parpadee las transiciones en android
  //en android 2.3.7 hay que poner fade, porque si no se superponen las pantallas
  var transiciones = 'none';
  var versionAndroid = getVersionAndroid();
//alert('versionAndroid: '+versionAndroid);
  if (versionAndroid != 'none' ) {
    if (versionAndroid.search(' 2.')!= -1) {
      transiciones = 'fade';
    }
  }
//alert(versionAndroid+' -> transiciones: '+transiciones);
  $.mobile.defaultPageTransition = transiciones;//none
  $.mobile.defaultDialogTransition = transiciones;//'none';
  
  
  //
}
  