/**
 *  Rellena a la izquierda la cadena 'str' hasta llegar al tamaño 'max' con el caracter 'ch'
 */
function lpad (str, max, ch) {
  if (ch === undefined || ch === null || ch == '') { var ch = ' ';}
  return str.length < max ? lpad(ch + str, max, ch) : str;
}


/**
 *  Rellena a la derecha la cadena 'str' hasta llegar al tamaño 'max' con el caracter 'ch'
 */
function rpad (str, max, ch) {
  if (ch === undefined || ch === null || ch == '') { var ch = ' ';}
  return str.length < max ? lpad(str+ch, max, ch) : str;
}


/**
 *  Formatea un número como moneda.
 *
 *  c Número de decimales a redondear
 *  d símbolo de decimal
 *  t símbolo de miles
 *
 *  Ejemplo: (123456789.12945).formatMoney(2); devuelve "123.456.789,13"
 */

Number.prototype.formatMoney = function(c, d, t){
var n = this,
    c = isNaN(c = Math.abs(c)) ? 2 : c,
    d = d == undefined ? "," : d,
    t = t == undefined ? "." : t,
    s = n < 0 ? "-" : "",
    i = parseInt(n = Math.abs(+n || 0).toFixed(c)) + "",
    j = (j = i.length) > 3 ? j % 3 : 0;
   return s + (j ? i.substr(0, j) + t : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : "");
 };